//BUSQUEDA DE TABCONSULTAS
var formaTABCONSULTAS = null;
var panelTABCONSULTAS = null;
var intMode = 100;
var idTienda = null, idProveedor=null;
var GridStoreTABCONSULTAS = null;
var strToday = "", strAnioHoy = "", strAnioAnt="";

function TABCONSULTAS_Constructor(){
	strAnioHoy = moment().format("YYYY");
	strAnioAnt = strAnioHoy-1;

	console.log("TABCONSULTAS_Constructor / strAnioHoy: "+ strAnioHoy +" / strAnioAnt: "+ strAnioAnt);
	idTab = 'TABCONSULTAS';
	var strWidth = $(document).width()-40;
	var strHeight = $(document).height()-40;

	var strUrlPro = "vistas/tabConsultas.php";
	$.post(strUrlPro, function(dataNew){

		$("#divConsultas").empty();
		$("#divConsultas").html(dataNew);

		//var strToday = moment().format("DD/MM/YYYY");
		//$("#divFiltrosDashboard").find("#txtFechaGral").val(strToday);

		getConsultasFamilia(2, $( "#divConsultas1" ));
		
		//getDataDashboard2();
		//setDateFn("ultimosdias",7);

		//var selObj = $("#divFiltrosDashboard").find("#selectConvenio");
		//cargarDatos(selObj);

		mouseEvent();

	});

}

//var arrItemsGral = [], arrEstudiosGral = [], arrColsGral = [];

function getConsultasFamilia(intCaseArg, divObjConArg){
	console.log("getConsultasFamilia");

	if(objUsuario.empresa!=null){
		
		divObjConArg.html("<div style='width:200px; margin-top:25px; margin-left:auto; margin-right:auto;'><img src='css/images/loading.gif'/></div>");
		
		var strUrlUsu = "data/catUsuarios.php?intEmpresa="+ objUsuario.empresa +"&rnd="+ Math.random();
		
		$.get(strUrlUsu, function(dataNew){
			if(	dataNew.toLowerCase().indexOf("error") < 0 ){		
				if(	dataNew.length > 20 ){							 
						  
					var data = $.parseJSON(dataNew);
					var arrItems = data.Items;
		
					var strHtml = "";
					
					for (var i=0; i<arrItems.length; i++) {

                		var strMiembroFamilia = arrItems[i].strNombres +' '+ arrItems[i].strApellidos ;
                
                	    strHtml += '<div id="divUsuario_'+ i +'" style="float:left; width:180px; min-height:200px; border:1px solid #ccc; border-radius:8px; text-align:center; margin:10px; padding:10px 0 0 0; font-size: 14px; background: rgb(175,217,66); background: linear-gradient(0deg, rgba(175,217,66,1) 0%, rgba(107,172,10,1) 100%); ">';
                	    strHtml += '<i class="fa fa-user" style="color: #fff; font-size: 60px; "></i><br/><br/>';
                	        
                	        strHtml += strMiembroFamilia ;
                	        
                            strHtml += '<div id="divContRecetasPadre" style="float:left; width:100%; height:'+ (intHeight-200) +'px; border:0px solid #ccc; margin: 10px 0 0 0; padding: 3px 0 0 0; text-align: left; box-sizing: border-box; overflow: hidden; overflow-y: auto;">';
                                strHtml += '<div id="divContRecetas" style="float:left; width:100%; border:0px solid #ccc; margin: 10px 0 0 0; padding: 3px 0 0 0; text-align: left; box-sizing: border-box;">';
                                
                                    var arrRecetas = arrItems[i].arrRecetas;
                                    for (var j=0; j<arrRecetas.length; j++) {
                                        //if(arrRecetas.length>0){
                       	                //strHtml += "Última receta<br/><br/>";
                       	                strHtml += "<a id='ahref_"+ arrRecetas[j].intReceta +"' href='https://sofmedi.com/exxmed/pdfs-recetas/"+ arrRecetas[j].strPdf +"' target='_blank' class='clsAConsulta' style=''>"+ arrRecetas[j].datFecha+"<br/>"+arrRecetas[j].strMedico +"</a>";
                                    }
     
                    	        strHtml += '</div>';
                	        strHtml += '</div>';
                	    strHtml += '</div>';
                
                	}
                	
                	divObjConArg.html(strHtml);
	
				}else{
					divObjConArg.html("<p align='center' style='margin-top:100px;'>No hay registros para esta consulta</p>");
				}
			}else{
				divObjConArg.html("<p align='center' style='margin-top:100px;'>Existe un error: "+ dataNew +"</p>");
			}
		});
		
	}else{
		alert("Todos los campos son requeridos");
	}
}
